org.eclipse.jgit.transport.resolver

## Interface UploadPackFactory<C>

Type Parameters:
  `C` - the connection type

    public interface UploadPackFactory<C>

Create and configure `UploadPack` service instance.

### Field Summary

Fields
`static UploadPackFactory<?>` `DISABLED` A factory disabling the UploadPack service for all repositories.

### Method Summary

All Methods Instance Methods Abstract Methods
`UploadPack` `create(C req, Repository db)` Create and configure a new UploadPack instance for a repository.

### Field Detail

#### DISABLED

    static final UploadPackFactory<?> DISABLED

A factory disabling the UploadPack service for all repositories.

### Method Detail

#### create

    UploadPack create(C req,
                      Repository db)
               throws ServiceNotEnabledException,
                      ServiceNotAuthorizedException

Create and configure a new UploadPack instance for a repository.

Parameters:
  `req` - current request, in case information from the request may help configure the UploadPack instance.
  `db` - the repository the upload would read from.
Returns:
  the newly configured UploadPack instance, must not be null.
Throws:
  `ServiceNotEnabledException` - this factory refuses to create the instance because it is not allowed on the target repository, by any user.
  `ServiceNotAuthorizedException` - this factory refuses to create the instance for this HTTP request and repository, such as due to a permission error.